Get Project Revisions
https://app.fossa.com/api/projects/{locator}/revisionsList Revisions for the branches and tags of a given project.
Path parameters
locatorstringrequiredthe url-encoded locator of the project - matched by substring
Query parameters
offsetnumberthe number of revisions to skip per ref (branch or tag) for pagination.
countnumberthe number of revisions to return per ref (branch or tag), max 1000.
resolvedbooleanIf true, we will only return Revisions that have been successfully analyzed by FOSSA (resolved)
refs[]string[]the list of branches or tags being requested
refs_typeenumSpecify whether the list should be tags OR branches
branchtagsourceenumFilter the revisions by source
githubgitlabbitbucketazurecliarchivecontainersbombinaryisMinimalbooleanIf `true`, each Revision in the response is reduced to only its `locator` and `message` fields. Useful for limiting response size.
locatorstringFilter the revisions to those whose locator contains this value (case-insensitive substring match).
Responses
200A map of branches and tags of the Project to a sorted list of Revisions belonging to the corresponding tag/branchbranchobjectmap of branches to their Revisions
tagobjectmap of tags to their Revisions
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not FounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/projects/%7Blocator%7D/revisionscurl --request GET \ --url 'https://app.fossa.com/api/projects/%7Blocator%7D/revisions' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Path params
locatorstringrequiredthe url-encoded locator of the project - matched by substring
Query params
offsetnumberthe number of revisions to skip per ref (branch or tag) for pagination.
countnumberthe number of revisions to return per ref (branch or tag), max 1000.
resolvedbooleanIf true, we will only return Revisions that have been successfully analyzed by FOSSA (resolved)
refs[]arraythe list of branches or tags being requested
refs_typeenumSpecify whether the list should be tags OR branches
sourceenumFilter the revisions by source
isMinimalbooleanIf `true`, each Revision in the response is reduced to only its `locator` and `message` fields. Useful for limiting response size.
locatorstringFilter the revisions to those whose locator contains this value (case-insensitive substring match).